#!/usr/bin/python
from gi.repository import Gtk

# http://python-gtk-3-tutorial.readthedocs.org/en/latest/introduction.html


class MyWindow(Gtk.Window):

    def __init__(self):
        Gtk.Window.__init__(self, title="Gtk.TreeView 'sensitive'")
        self.set_default_size(250, 200)

        self.connect("delete-event", Gtk.main_quit)

        self.box = Gtk.VBox()
        self.scrolled = Gtk.ScrolledWindow()
        self.scrolled.set_policy(Gtk.PolicyType.AUTOMATIC,
                                 Gtk.PolicyType.AUTOMATIC)

        self.store = Gtk.ListStore(str, str)
        for i in range(5):
            self.store.append([str(i), 'Item %s' % i])

        self.treeview = Gtk.TreeView(self.store)
        renderer_no_sens = Gtk.CellRendererText()
        # set 'sensitive' property
        renderer_no_sens.set_property('sensitive', False)

        renderer = Gtk.CellRendererText()

        column = Gtk.TreeViewColumn('\'sensitive\' False',
                                    renderer_no_sens, text=0)
        self.treeview.append_column(column)

        column = Gtk.TreeViewColumn('\'sensitive\' True',
                                    renderer, text=1)
        self.treeview.append_column(column)

        self.scrolled.add(self.treeview)
        self.box.add(self.scrolled)
        self.add(self.box)

        self.show_all()


if __name__ == '__main__':
    win = MyWindow()
    Gtk.main()
